Bug 1749150 (rust-dutree) - Review Request: rust-dutree - Command line tool to analyze disk usage
Summary: Review Request: rust-dutree - Command line tool to analyze disk usage
Keywords:
Status: CLOSED ERRATA
Alias: rust-dutree
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 02:58 UTC by Igor Gnatenko
Modified: 2019-09-24 01:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 02:25:19 UTC
ego.cordatus: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2019-09-05 02:58:01 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-dutree.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-dutree-0.2.9-1.fc32.src.rpm
Description:
Command line tool to analyze disk usage.
Fedora Account System Username: ignatenkobrain

Comment 1 Artem 2019-09-05 11:55:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License". 6 files have unknown license. Detailed output of
     licensecheck in /home/tim/1749150-rust-dutree/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dutree ,
     rust-dutree-devel , rust-dutree+default-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dutree-0.2.9-1.fc32.x86_64.rpm
          rust-dutree-devel-0.2.9-1.fc32.noarch.rpm
          rust-dutree+default-devel-0.2.9-1.fc32.noarch.rpm
          rust-dutree-debugsource-0.2.9-1.fc32.x86_64.rpm
          rust-dutree-0.2.9-1.fc32.src.rpm
dutree.x86_64: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
dutree.x86_64: W: no-manual-page-for-binary dutree
rust-dutree-devel.noarch: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
rust-dutree-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/dutree-0.2.9/.cargo-checksum.json
rust-dutree+default-devel.noarch: W: spelling-error %description -l en_US dutree -> dungaree
rust-dutree+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
rust-dutree+default-devel.noarch: W: no-documentation
rust-dutree-debugsource.x86_64: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
rust-dutree.src: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
5 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
rust-dutree-debugsource.x86_64: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
rust-dutree-devel.noarch: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
rust-dutree-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/dutree-0.2.9/.cargo-checksum.json
rust-dutree+default-devel.noarch: W: spelling-error %description -l en_US dutree -> dungaree
rust-dutree+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
rust-dutree+default-devel.noarch: W: no-documentation
dutree.x86_64: W: invalid-url URL: https://crates.io/crates/dutree HTTP Error 404: Not Found
dutree.x86_64: W: no-manual-page-for-binary dutree
4 packages and 0 specfiles checked; 0 errors, 8 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/dutree/0.2.9/download#/dutree-0.2.9.crate :
  CHECKSUM(SHA256) this package     : 6821159741d437f12e636bb86975255079f9188766ab167f61fa674329579bfe
  CHECKSUM(SHA256) upstream package : 6821159741d437f12e636bb86975255079f9188766ab167f61fa674329579bfe


Requires
--------
dutree (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

rust-dutree-devel (rpmlib, GLIBC filtered):
    (crate(getopts/default) >= 0.2.0 with crate(getopts/default) < 0.3.0)
    (crate(regex/default) >= 1.0.0 with crate(regex/default) < 2.0.0)
    (crate(terminal_size/default) >= 0.1.7 with crate(terminal_size/default) < 0.2.0)
    (crate(unicode-segmentation/default) >= 1.2.0 with crate(unicode-segmentation/default) < 2.0.0)
    (crate(unicode-width/default) >= 0.1.1 with crate(unicode-width/default) < 0.2.0)
    cargo

rust-dutree+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(dutree)

rust-dutree-debugsource (rpmlib, GLIBC filtered):



Provides
--------
dutree:
    dutree
    dutree(x86-64)

rust-dutree-devel:
    crate(dutree)
    rust-dutree-devel

rust-dutree+default-devel:
    crate(dutree/default)
    rust-dutree+default-devel

rust-dutree-debugsource:
    rust-dutree-debugsource
    rust-dutree-debugsource(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1749150
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: C/C++, Java, Haskell, SugarActivity, Ocaml, PHP, Python, R, fonts, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Igor Gnatenko 2019-09-08 14:02:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-dutree

Comment 3 Fedora Update System 2019-09-08 15:51:25 UTC
FEDORA-MODULAR-2019-77b1b6d4ad has been submitted as an update to Fedora 31 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-77b1b6d4ad

Comment 4 Fedora Update System 2019-09-08 15:51:26 UTC
FEDORA-MODULAR-2019-2791989cd0 has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-2791989cd0

Comment 5 Fedora Update System 2019-09-08 15:51:30 UTC
FEDORA-MODULAR-2019-c9e65b59a8 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-c9e65b59a8

Comment 6 Fedora Update System 2019-09-09 02:25:19 UTC
dutree-rolling-3020190908151759.a23e773d has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-09-09 03:30:49 UTC
dutree-rolling-2920190908151759.c5ebb199 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-c9e65b59a8

Comment 8 Fedora Update System 2019-09-16 02:31:03 UTC
dutree-rolling-3120190908151759.22d7e2a5 has been pushed to the Fedora 31 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-77b1b6d4ad

Comment 9 Fedora Update System 2019-09-17 02:52:26 UTC
dutree-rolling-2920190908151759.c5ebb199 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-24 01:42:20 UTC
dutree-rolling-3120190908151759.22d7e2a5 has been pushed to the Fedora 31 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.